#include<iostream>
#include<conio.h>
using namespace std;
class FactClass
{
	private :
		double f;
		int i;
	public :
		int x;
		FactClass() //constructor
		{
			f = 1;
		}
		void CalculateFact()
		{
			for(i = 1; i <= x; i++)
				f *= i;
		}
		int GetFact()
		{
			return f;
		}	
};

int main()
{
	FactClass A;
	cout << "Adade vorodi ra vared konid : ";
	cin >> A.x;
	A.CalculateFact();
	cout << "Natije " << A.x << "! = " << A.GetFact() << endl;
	getch();
}

